udpxrec(1)

NAME
udpxrec - a programmable multicast traffic recording utility.

SYNOPSIS
udpxrec [-v] [-b <begin_time>] [-e <end_time>] [-M <maxfilesize>] [-p <pidfile>] [-B <bufsizeK>] [-n <nice_incr>] [-u <seconds_to_wait>] [-m <mcast_ifc_addr>] [-l <logfile>] -c <src_addr>:<port> <dstfile>

DESCRIPTION

udpxrec is a utility designed to record (save into a disk file) a segment of multicast network traffic; the amount of data saved/recorded could be specified in length (KB) or duration (seconds).

OPTIONS
udpxrec accepts the following options:

-v  Enable verbose output [default = disabled].

-T  Do NOT run as a daemon [default = daemon if root].

-m <mcast_ifc_addr>
    IPv4 address/interface of (multicast) source [default = 0.0.0.0].

-l <logfile>
    Log output to file [default = stderr].

-n <nice_incr>
    Nice value increment [default = 0].

-B <sizeK>
    Buffer size (65536, 32Kb, 1Mb) for inbound (multicast) data [default = 2048 bytes].

-R <msgs>
    Maximum number of messages to buffer (-1 = all) [default = 1].

-b <begin_time>
    Begin recording at [+]dd:hh24:mi.ss, '+' signifies relative timing (in N hours/min/sec).

-e <endtime>
    Stop recording at [+]dd:hh24:mi.ss, '+' signifies relative timing (in N hours/min/sec).

-M <maxfilesize>
    Maximum size of destination file.

-p <pidfile>
    Pidfile for this process [MUST be specified if daemon].

-u <seconds_to_wait>
    Seconds to wait before updating on how long till recording starts.

EXAMPLES

udpxrec -b 15:45.00 -e +2:00.00 -M 1.5Gb -n 2 -B 64K -c 224.0.11.31:5050 /opt/video/tv5.mpg

Begin recording multicast channel 224.0.11.31:5050 at 15:45 today, finish recording in two hours or if destination file size >= 1.5 Gb; set socket buffer to 64Kb; increment nice value by 2; write captured video to /opt/video/tv5.mpg.

AUTHORS
Pavel V. Cherenkov and all the good people who submitted patches or otherwise contributed to the project.

SEE ALSO
udpxy(1)